Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.FillBetween

Contents

- Accessors

Description

Plots that fill the area between two lines.

Synopsis

- data PlotFillBetween x y = PlotFillBetween {
  - plot_fillbetween_title_ :: String
  - plot_fillbetween_style_ :: CairoFillStyle
  - plot_fillbetween_values_ :: [(x, (y, y))]
  }
- defaultPlotFillBetween :: PlotFillBetween x y
- plot_fillbetween_title :: forall x y. T (PlotFillBetween x y) String
- plot_fillbetween_style :: forall x y. T (PlotFillBetween x y) CairoFillStyle
- plot_fillbetween_values :: forall x y. T (PlotFillBetween x y) [(x, (y, y))]

# Documentation

data PlotFillBetween x y Source

Value specifying a plot filling the area between two sets of Y coordinates, given common X coordinates.

Constructors

PlotFillBetween |

Fields

plot_fillbetween_title_ :: String
plot_fillbetween_style_ :: CairoFillStyle
plot_fillbetween_values_ :: [(x, (y, y))]

Instances

ToPlot PlotFillBetween |

defaultPlotFillBetween :: PlotFillBetween x ySource

# Accessors

These accessors are generated by template haskell

plot_fillbetween_title :: forall x y. T (PlotFillBetween x y) String Source

plot_fillbetween_style :: forall x y. T (PlotFillBetween x y) CairoFillStyle Source

plot_fillbetween_values :: forall x y. T (PlotFillBetween x y) [(x, (y, y))]Source